<!DOCTYPE html> 
<!-- 
/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
 --> 
<html lang="fr"> 
  <head> 
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="site.css"/> 
    <meta name = "viewport" content = "user-scalable=no, initial-scale=1.0, maximum-scale=1.0, width=device-width" /> 

<style> 
</style>

  </head> 
 
  <body> 
    <header> 
      <h1>Developpement Facile</h1>
    </header> 

    <nav> 
      <ul> 
        <li>Accueil</li> 
        <li>Nous Contacter</li> 
        <li>A Propos</li> 
      </ul> 
    </nav>

    <div class="separateur"></div> 
 
    <section id="content">

      <div id="ct">

        <?php
          include_once('ProxyBookList.php');// inclus une seule fois le fichier, s'il n'existe pas, continue l'exécution du script
          include_once('BookList.php');// inclus une seule fois le fichier, s'il n'existe pas, continue l'exécution du script
          include_once('Book.php');// inclus une seule fois le fichier, s'il n'existe pas, continue l'exécution du script

          define('BR', '<'.'BR'.'>');// constante saut de ligne

          echo 'Lancement du modèle Proxy'.BR;


          $proxyBookList = new ProxyBookList();// création du Proxy

          // création d'un livre et ajout
          $oBook = new Book('PHP Facile','Matthieu DevFacile');
          $proxyBookList->addBook($oBook);

          $oBook2 = new Book('JavaScript Facile','Matthieu DevFacile');
          $proxyBookList->addBook($oBook2);


          writeln('Le nombre de livre');
          writeln($proxyBookList->getBookCount());
          writeln('');

          writeln('Affiche le livre id 1');
          $oBook = $proxyBookList->getBookById(1);
          writeln($oBook->getAuthorAndTitle()); 
          writeln('');

          // supprime le livre
          $proxyBookList->removeBook($oBook);

          writeln('Le nombre de livre');
          writeln($proxyBookList->getBookCount());
          writeln('');

          writeln('Affiche le livre id 1');
          $oBook = $proxyBookList->getBookById(1);
          writeln($oBook->getAuthorAndTitle()); 
          writeln('');

          echo BR."FIN du modèle Proxy".BR;

          
          /**
           * écrit une ligne en php
           * 
           * @param  [type] $line_in [description]
           * @return [type]          [description]
           */
          function writeln($line_in)
          {
            echo $line_in.BR;
          }
          
          

        ?>


      </div>   

    	<p>
      Le Lorem Ipsum est simplement du faux texte employé dans la composition et la mise en page avant impression. Le Lorem Ipsum est le faux texte standard de l'imprimerie depuis les années 1500, quand un peintre anonyme assembla ensemble des morceaux de texte pour réaliser un livre spécimen de polices de texte. </p>

      <p>
      Il n'a pas fait que survivre cinq siècles, mais s'est aussi adapté à la bureautique informatique, sans que son contenu n'en soit modifié. Il a été popularisé dans les années 1960 grâce à la vente de feuilles Letraset contenant des passages du Lorem Ipsum, et, plus récemment, par son inclusion dans des applications de mise en page de texte, comme Aldus PageMaker.
      </p>
    </section> 
 	
	<footer> 
		<p>Copyright www.Developpement-Facile.com 2014</p>  
	</footer> 

  </body> 
</html>

<?
//echo 'Données de session :<br>';
//print_r($_SESSION);
?>

